#-------------------------------------------------------------------------------
# Copyright (c) 2012 University of Illinois, NCSA.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the 
# University of Illinois/NCSA Open Source License
# which accompanies this distribution, and is available at
# http://opensource.ncsa.illinois.edu/license.html
#-------------------------------------------------------------------------------

spinup.LINKAGES <- function(start.year, end.year, temp.mat, precip.mat, paleon = NULL) {
  if (is.null(paleon)) {
    paleon <- TRUE  # Why not just have `paleon = TRUE` above?
  }
  if (paleon) {
    spin.num <- 20
    spin.length <- 500
    start.year <- start.year - spin.length
    
    temp.mat <- rbind(temp.mat[rep(1:spin.num, length = spin.length), ], temp.mat)
    precip.mat <- rbind(precip.mat[rep(1:spin.num, length = spin.length), ], precip.mat)
    nyear <- nrow(temp.mat)
  } else {
    spin.num <- round(length(start.year:end.year) / 2)
    start.year <- start.year - spin.num
    year <- seq(start.year, end.year, 1)
    nyear <- length(year)
    
    temp.mat <- rbind(temp.mat[1:spin.num, ], temp.mat)
    precip.mat <- rbind(precip.mat[1:spin.num, ], precip.mat)
  }
  
  ### Add some sort of test for steady state or not
  
  return(list(start.year = start.year, 
              nyear = nyear,
              temp.mat = temp.mat, 
              precip.mat = precip.mat))
} # spinup.LINKAGES
