% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sda.enkf.R, R/sda.enkf_refactored.R
\name{sda.enkf}
\alias{sda.enkf}
\alias{sda.enkf.original}
\title{sda.enkf}
\usage{
sda.enkf.original(
  settings,
  obs.mean,
  obs.cov,
  IC = NULL,
  Q = NULL,
  adjustment = TRUE,
  restart = NULL
)

sda.enkf(
  settings,
  obs.mean,
  obs.cov,
  Q = NULL,
  restart = NULL,
  control = list(trace = TRUE, interactivePlot = TRUE, TimeseriesPlot = TRUE, BiasPlot =
    FALSE, plot.title = NULL, debug = FALSE, pause = FALSE),
  ...
)
}
\arguments{
\item{settings}{PEcAn settings object}

\item{obs.mean}{List of dataframe of observation means, named with observation datetime.}

\item{obs.cov}{List of covariance matrices of state variables , named with observation datetime.}

\item{IC}{initial conditions}

\item{Q}{Process covariance matrix given if there is no data to estimate it.}

\item{adjustment}{flag for using ensemble adjustment filter or not}

\item{restart}{Used for iterative updating previous forecasts. When the restart is TRUE it read the object in SDA folder written from previous SDA.}

\item{control}{List of flags controlling the behaviour of the SDA. trace for reporting back the SDA outcomes, interactivePlot for plotting the outcomes after each step, 
TimeseriesPlot for post analysis examination, BiasPlot for plotting the correlation between state variables, plot.title is the title of post analysis plots and debug mode allows for pausing the code and examinign the variables inside the function.}
}
\value{
NONE

NONE
}
\description{
State Variable Data Assimilation: Ensemble Kalman Filter

State Variable Data Assimilation: Ensemble Kalman Filter and Generalized ensemble filter
}
\author{
Michael Dietze and Ann Raiho \email{dietze@bu.edu}

Michael Dietze and Ann Raiho \email{dietze@bu.edu}
}
