% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/download.AmerifluxLBL.R
\name{download.AmerifluxLBL}
\alias{download.AmerifluxLBL}
\title{Download Ameriflux LBL CSV files}
\usage{
download.AmerifluxLBL(
  sitename,
  outfolder,
  start_date,
  end_date,
  overwrite = FALSE,
  verbose = FALSE,
  username = "pecan",
  method,
  ...
)
}
\arguments{
\item{sitename}{the Ameriflux ID of the site to be downloaded, used as file name prefix. 
The 'SITE_ID' field in \href{http://ameriflux.lbl.gov/sites/site-list-and-pages/}{list of Ameriflux sites}}

\item{outfolder}{location on disk where outputs will be stored}

\item{start_date}{the start date of the data to be downloaded. Format is YYYY-MM-DD (will only use the year part of the date)}

\item{end_date}{the end date of the data to be downloaded. Format is YYYY-MM-DD (will only use the year part of the date)}

\item{overwrite}{should existing files be overwritten}

\item{verbose}{should the function be very verbose}

\item{username}{Ameriflux username}

\item{method}{Optional. download.file() function option.  Use this to set custom programs such as ncftp}
}
\description{
download.AmerifluxLBL
}
\details{
Uses Ameirflux LBL JSON API to download met data from Ameriflux towers in CSV format
}
\examples{
\dontrun{
result <- download.AmerifluxLBL("US-Akn","~/","2011-01-01","2011-12-31",overwrite=TRUE)
}

}
\author{
Ankur Desai, based on download.Ameriflux.R by Josh Mantooth, Rob Kooper, Shawn Serbin
}
