% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/meta.analysis.summary.R
\name{pecan.ma.summary}
\alias{pecan.ma.summary}
\title{Generate summary statistics and diagnostics for PEcAn meta.analysis}
\usage{
pecan.ma.summary(mcmc.object, pft, outdir, threshold = 1.2, gg = FALSE)
}
\arguments{
\item{mcmc.object}{JAGS mcmc output from \code{\link{pecan.ma}}}

\item{pft}{plant functional type}

\item{outdir}{output directory}

\item{threshold}{Gelman-Rubin convergence diagnostic (MGPRF)
default = 1.2 following Bolker 2008 Ecological Models and Data in R}

\item{gg}{produce extra diagnostic plots using the "ggmcmc" package? Caution: very slow!}
}
\description{
Generate summary statistics and diagnostics for PEcAn meta.analysis
}
\examples{
\dontrun{
summary <- pecan.ma.summary(
 trait.mcmc,
 settings$pfts$pft,
 settings$outdir,
 settings$meta.analysis$threshold)
}
}
\author{
David LeBauer, Shawn Serbin
}
