% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plots.R
\name{plot_trait}
\alias{plot_trait}
\alias{plot.trait}
\title{Plot trait density and data}
\usage{
plot_trait(
  trait,
  prior = NULL,
  posterior.sample = NULL,
  trait.df = NULL,
  fontsize = list(title = 18, axis = 14),
  x.lim = NULL,
  y.lim = NULL,
  logx = FALSE
)
}
\arguments{
\item{trait}{character, name of trait to be plotted}

\item{prior}{named distribution with parameters}

\item{posterior.sample}{samples from posterior distribution
whose density should be plotted}

\item{trait.df}{data to be plotted, in a format accepted by
\code{\link[PEcAn.MA]{jagify}}}

\item{fontsize, x.lim, y.lim, logx}{passed on to ggplot}
}
\value{
plot (grob) object
}
\description{
Plot trait density and data
}
\examples{
\dontrun{
prior1 <- data.frame(distn = 'norm',
                     parama = 20,
                     paramb = 5)
data1  <- data.frame(Y = c(19, 21), se = c(1,1))
plot_trait(trait = 'Vcmax',
          prior = prior1,
          trait.df = data1)
}
}
\author{
David LeBauer
}
