% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sensitivity.R
\name{read.sa.output}
\alias{read.sa.output}
\title{Read Sensitivity Analysis output}
\usage{
read.sa.output(
  traits,
  quantiles,
  pecandir,
  outdir,
  pft.name = "",
  start.year,
  end.year,
  variable,
  sa.run.ids = NULL,
  per.pft = FALSE
)
}
\arguments{
\item{traits}{model parameters included in the sensitivity analysis}

\item{quantiles}{quantiles selected for sensitivity analysis}

\item{pecandir}{specifies where pecan writes its configuration files}

\item{outdir}{directory with model output to use in sensitivity analysis}

\item{pft.name}{name of PFT used in sensitivity analysis (Optional)}

\item{start.year}{first year to include in sensitivity analysis}

\item{end.year}{last year to include in sensitivity analysis}

\item{variable}{variables to be read from model output}

\item{sa.run.ids}{list of run ids to read.
If NULL, will look in `pecandir` for a file named `samples.Rdata`
and read from that}

\item{per.pft}{flag to determine whether we want SA on pft-specific variables}
}
\value{
dataframe with one col per quantile analysed and one row per trait,
 each cell is a list of AGB over time
}
\description{
Reads output of sensitivity analysis runs
}
\author{
Ryan Kelly, David LeBauer, Rob Kooper, Mike Dietze, Istem Fer

Ryan Kelly, David LeBauer, Rob Kooper, Mike Dietze
}
