### UI ###
dbfilesUI <- function(id) {
  ns <- NS(id)
  
  box(
    title = h2("2. DbFiles Record"), width = 3, collapsible = TRUE, collapsed = TRUE, 
    hr(),
    selectizeInput(ns("InputMachineName"), label = "Machine *", choices = NULL,  #remember to set default to local
                   options = list(
                     placeholder = 'Please search machine by name',
                     onInitialize = I('function() { this.setValue(""); }')
                   )),
    hr(),
    textInput(
      ns("InputFilePath"),
      label = "File Path *",
      placeholder = "This file path will be autogenerated by the download process. The user can edit the filepath here?"),
    hr(),
    textInput(
      ns("InputFileName"),
      label = "File Name *",
      placeholder = "This file name will be displayed from the download process. The user can edit the file name here"),
    actionButton(ns("createDBFilesRecord"), label = "Create dbFiles Record"),
    p("* Denotes a Required Field"),
    hr(),
    verbatimTextOutput(ns("dbFilesRecordOut"))
  )
}

### Server ###
dbfiles <- function(input, output, session){
  
  ##Output list 
  dbFilesRecordList <- list()
  
  ## Machine Name ##
  updateSelectizeInput(session, "InputMachineName", choices = machines, server = TRUE)
  
  observeEvent(input$createDBFilesRecord, {
    ## MachineID 
    dbFilesRecordList$machine <- input$InputMachineName
    dbFilesRecordList$machineID <- machines_sub %>% dplyr::filter(hostname %in% dbFilesRecordList$machine) %>% pull(id)
    
    dbFilesRecordList$filePath <- input$InputFilePath
    dbFilesRecordList$fileName <- input$InputFileName
    
    output$dbFilesRecordOut <- renderPrint({print(dbFilesRecordList)})
    
  })
  
  
  
  
}