fluidRow(title = "New Input",
   box(title = h2("New Input"), width = 4, collapsible = TRUE, 
     hr(),
     selectizeInput("InputSiteName", label = "Site *", choices = NULL,
                    options = list(
                      placeholder = 'Please search or select a site below',
                      onInitialize = I('function() { this.setValue(""); }')
                      )),
     hr(),
     selectizeInput("InputParentName", label = "Parent", choices = NULL,
                    options = list(
                      placeholder = 'Please search inputs by name or site',
                      onInitialize = I('function() { this.setValue(""); }')
                    )),
     hr(),
     textInput(
       "InputName",
       label = "Name *",
       placeholder = ""
     ),
     hr(),
     selectizeInput("InputFormatName", label = "Format*", choices = NULL,
                    options = list(
                      placeholder = 'Please search Formats by name',
                      onInitialize = I('function() { this.setValue(""); }')
     )),
     hr(),
     dateInput(
       "InputStartDate",
       label = "Start Date *",
       format = "yyyy-mm-dd",
       startview = "decade"
     ),
     shinyTime::timeInput(
       "StartTimeInput",
       label = "Start Time (Hours - Minutes) *",
       seconds = FALSE
     ),
     dateInput(
       'InputEndDate',
       label = 'End Date *',
       format = 'yyyy-mm-dd',
       startview = 'decade'
     ),
     shinyTime::timeInput(
       "EndTimeInput",
       label = "End Time (Hours-Minutes) *",
       seconds = FALSE
     ),
     textInput(
       "Timezone",
       label = "Timezone (UTC) *",
       placeholder = "UTC +/-"
     ),
     hr(),
     textAreaInput(
       "InputNotes",
       label = "Notes",
       height = '150px'
     ),
     actionButton("createInput", label = "Create Input"), # Not sure if I want this here or only available when all forms are filled in.
     p("* Denotes a Required Field"),
     hr(),
     verbatimTextOutput("summInputs")
   ),
   box(title = h2("DbFiles Record"), width = 4, collapsible = TRUE, collapsed = TRUE, 
       hr(),
       selectizeInput("InputMachineName", label = "Machine *", choices = NULL,  #remember to set default to local
                      options = list(
                        placeholder = 'Please search machine by name',
                        onInitialize = I('function() { this.setValue(""); }')
                        )),
       hr(),
       textInput(
         "InputFilePath",
         label = "File Path *",
         placeholder = "This file path will be autogenerated by the download process. The user can edit the filepath here?"),
       hr(),
       textInput(
         "InputFileName",
         label = "File Name *",
         placeholder = "This file name will be displayed from the download process. The user can edit the file name here"),
       actionButton("createDBFilesRecord", label = "Create dbFiles Record"),
       p("* Denotes a Required Field"),
       hr(),
       verbatimTextOutput("dbFilesRecordOut")
       ),
   box(title = h2("Format ID"), width = 4, collapsible = TRUE, collapsed = TRUE,
       hr(),
       selectizeInput("MimetypeName", label = "Mimetype *", choices = NULL,
                      options = list(
                        placeholder = 'Please search inputs by name or site',
                        onInitialize = I('function() { this.setValue(""); }')
                      )),
       hr(),
       textInput(
         "NewMimeType",
         label = "New Mime Type *",
         placeholder = "Create a New Mimetype"),
       hr(),
       textInput(
         "NewFormatName",
         label = "New Format Name *",
         placeholder = "Create a New Format Name"),
       hr(),
       radioButtons(
         "HeaderBoolean",
         label = "Is There a Header ?", 
         choices =  c("Yes", "No")
       ),
       hr(),
       textInput( # I should Render UI only if Header = TRUE
         "SkipLines",
         label = "Skip",
         placeholder = "Enter number of header lines to skip."),
       hr(),
       textAreaInput(
         "FormatNotes",
         label = "Notes",
         height = '150px'
       ),
       actionButton("createFormatRecord", label = "Create Format Record"),
       p("* Denotes a Required Field"),
       hr(),
       verbatimTextOutput("FormatRecordOut")
       )
  
 )

